package Praktikum01;

public class Zahlenfilter {

    public static void main(String[] args) {

        int grenze = 200;


        if (args.length > 0) {
            try {
                grenze = Integer.parseInt(args[0]);
            } catch (NumberFormatException e) {
                System.out.println("Ungültige Eingabe: '" + args[0] + "' ist keine gültige Zahl. Es wird der Standardwert 200 verwendet.");
            }
        }

        Zahlenfilter checker = new Zahlenfilter();
        checker.checkZahlen(grenze);

    }

   
    public void checkZahlen(int grenze) {
        for (int i = 1; i <= grenze; i++) {
            checkDurchFuenfTeilbar(i);
            checkEndetAufNeun(i);
            checkSummeMitVorgaenger(i);
        }
    }
    
    private void checkDurchFuenfTeilbar(int zahl) {
        if (zahl % 5 == 0) {
            System.out.println(zahl + " ist durch 5 teilbar!");
        }
    }


    private void checkEndetAufNeun(int zahl) {
        if (zahl % 10 == 9) {
            System.out.println(zahl + " endet auf 9!");
        }
    }


    private void checkSummeMitVorgaenger(int zahl) {
        if (zahl > 1) {  
            int vorgaenger = zahl - 1;
            int summe = zahl + vorgaenger;
            if (summe % 3 == 0) {
                System.out.println(zahl + " und " + vorgaenger + " addiert ergeben " + summe + " und " + summe + " ist durch 3 teilbar.");
            }
        }
    }

}
